<template>
  <div class="flex flex-row-reverse -space-x-2 space-x-reverse">
    <svn-avatar
      v-for="(trainer, idx) in trainersListShrinked"
      :avatar="trainer.avatar"
      :firstname="trainer.firstname"
      :lastname="trainer.lastname"
      size="md"
      class="border-2 border-negative-red"
    />

    <svn-icon-button
      v-if="additionalTrainers"
      disable
      button-size="md"
      circle
      variant="none"
      color-class="!cursor-default flex !border-2 text-sm !p-0 border-negative-red !text-dark-grey bg-white"
    >
      +{{ additionalTrainers }}
    </svn-icon-button>

    <svn-modal-manage-people v-if="edit">
      <template #activator>
        <svn-icon-button
          icon="mdi:add"
          button-size="md"
          circle
          variant="outlined"
          color-class="!border-2 !border-dark-grey !text-dark-grey bg-white hover:!bg-light-grey active:!bg-middle-grey cursor-pointer"
        />
      </template>
    </svn-modal-manage-people>
  </div>
</template>

<script setup>
import SvnIconButton from "@/components/button/SvnIconButton.vue";
import SvnAvatar from "@/components/avatar/SvnAvatar.vue";
import { onMounted, ref } from "vue";
import SvnModalManagePeople from "@/components/dialog/SvnModalManagePeople.vue";

const trainersListShrinked = ref([])
const additionalTrainers = ref(0)

const props = defineProps({
  edit: { type: Boolean, default: true },
  trainersList: { type: Array, default: () => [] },
})

onMounted(() => {
  if (props.trainersList.length > 4) {
    trainersListShrinked.value = props.trainersList.slice(0,4)
    additionalTrainers.value =  props.trainersList.length - trainersListShrinked.value.length
  } else {
    trainersListShrinked.value = props.trainersList
  }
})
</script>
